# frozen_string_literal: true
require_dependency "think_feel_do_engine/application_controller"

module ThinkFeelDoEngine
  module Coach
    # Present Participant Thoughts Visualization to the Coach.
    class ParticipantThoughtsVisualizationsController < ApplicationController
      before_action :authenticate_user!
      rescue_from ActiveRecord::RecordNotFound, with: :record_not_found

      def show
        @participant = Participant.find(params[:participant_id])
        @group = @participant.groups.find(params[:group_id])
        thoughts = @participant.thoughts.harmful
        render "think_feel_do_engine/thoughts/distortion_viz",
               locals: { thoughts: thoughts, link_to_view: nil }
      end

      def record_not_found
        redirect_to main_app.root_path,
                    alert: "The thoughts visualization you were "\
                    "looking does not exist."
      end
    end
  end
end
