# frozen_string_literal: true
require_dependency "think_feel_do_engine/application_controller"

module ThinkFeelDoEngine
  module Participants
    # Enables Participants to access Slideshows directly.
    class PublicSlidesController < ApplicationController
      def show
        @slideshow = BitCore::Slideshow.find(params[:slideshow_id])
        @slide = @slideshow.slides.find(params[:id])

      rescue ActiveRecord::RecordNotFound => e
        redirect_to new_participant_session_path, alert: e.message
      end
    end
  end
end
