# frozen_string_literal: true
module ThinkFeelDoEngine
  # Sends a new lesson notification to a given participant.
  class LessonNotificationMailer < ActionMailer::Base
    default(
      from: Rails.configuration.action_mailer.default_options[:from]
    )

    def lesson_notification_email(
      application_name:, lesson_module:, participant_email:
    )
      @application_name = application_name
      @lesson = lesson_module
      mail(to: participant_email,
           subject: "New Lesson Available")
    end
  end
end
