# frozen_string_literal: true
module ThinkFeelDoEngine
  # Mailer for notifying of new application messages.
  class MessageNotifications < ActionMailer::Base
    def new_for_coach(coach, group)
      application_name = I18n.t(:application_name, default: "ThinkFeelDo")
      @group = group
      mail to:      coach.email,
           subject: "#{application_name}: You have a new message"
    end

    def new_for_participant(participant)
      application_name = I18n.t(:application_name, default: "ThinkFeelDo")
      @context_name = participant
                      .current_group
                      .arm
                      .bit_core_tools
                      .find_by_type("Tools::Messages")
                      .title
      mail to:      participant.email,
           subject: "#{application_name}: You have a new message"
    end
  end
end
