# frozen_string_literal: true
module ThinkFeelDoEngine
  # Mailer for SiteMessage delivery.
  class SiteMessageMailer < ActionMailer::Base
    def general(message)
      markdown = Redcarpet::Markdown.new(
        Redcarpet::Render::HTML,
        space_after_headers: true
      )
      @body = markdown.render(message.body)

      mail to: message.participant.email,
           subject: message.subject
    end
  end
end
