# frozen_string_literal: true
# The name given to an Activity. Can be private to a Participant or public.
class ActivityType < ActiveRecord::Base
  MAX_TITLE_LENGTH = 1000
  belongs_to :participant
  has_many :activities, dependent: :restrict_with_exception

  validates :title, presence: true, length: { maximum: MAX_TITLE_LENGTH }
  # do not validate presence of participant
end
