# frozen_string_literal: true
module ThinkFeelDoEngine
  module Reports
    # Collect metadata for all Participant Mood Ratings.
    class MoodRating
      def self.columns
        %w( participant_id rating created_at )
      end

      def self.all
        Participant.not_moderator.select(:id, :study_id).map do |participant|
          participant.moods.map do |mood|
            {
              participant_id: participant.study_id,
              rating: mood.rating,
              created_at: mood.created_at.iso8601
            }
          end
        end.flatten
      end
    end
  end
end
