# frozen_string_literal: true
module ThinkFeelDoEngine
  module Reports
    # Collects relevant/unsubscribed SMS errors
    class SmsDeliveryErrorRecord
      def self.columns
        %w( body error_message phone_number created_at )
      end

      def self.all
        SmsDeliveryError
          .all
          .map do |sms_delivery_error|
            {
              body: sms_delivery_error.body,
              error_message: sms_delivery_error.error_message,
              phone_number: sms_delivery_error.phone_number,
              created_at: sms_delivery_error.created_at.iso8601
            }
          end
          .flatten
      end
    end
  end
end
