class ConvertEventPayloads < ActiveRecord::Migration
  class EventMigration < ActiveRecord::Base
    self.table_name = :event_capture_events

    serialize :payload
  end

  def up
    EventMigration.find_each do |event|
      next unless event.payload.respond_to?(:to_unsafe_h)

      # Use 'update_column' because with 'update' ActiveRecord will try to
      # deserialize the existing value first, and will detect that there are
      # two identical Hashes. Use 'to_unsafe_h' because otherwise all keys
      # will be deemed unsafe, having not been permitted via the strong
      # parameters API.
      event.update_column :payload, event.payload.to_unsafe_h
    end
  end

  def down
  end
end
